[附件]32354
嗨,比格尔,
非常感谢您的帮助。我将链接一张图片来帮助您解决问题,以及随之而来的日常事务
代码如下:
- ;******************************************************
- ; ce sous program permet de créer un
- ; cadre d'echafaudage
- ;******************************************************
- (defun cadre()
- (setq pt1(getpoint"\nPointez premier point : "))
- (setq pt2(polar pt1 0 1220))
- (setq pt3(list(car pt2)(+(cadr pt1) 2135)))
- (command"_layer" "_n" "-LU CADRE" "_c" "5" "-LU CADRE" "")
- (command"_donut" "0" "150" pt1 "")
- (setq cir1(entlast))
- (command"_donut" "0" "150" pt2 "")
- (setq cir2(entlast))
- (command"_pline" pt1 pt2 "")
- (setq lin1(entlast))
-
- (Command"_chprop" cir1 cir2 lin1 "" "la" "-LU CADRE" "")
- (command"_block" "lu blockt" pt1 cir1 cir2 lin1 "")
- (command"_insert" "lu blockt" pt1 "" "" "")
- (setq blockt(entlast))
- )defun cadre
- ;******************************************************
- ; début du program : échafaudage
- ; ce program permet d'échafauder un projet
- ;******************************************************
- (defun c:ecf()
-
- (setq Obj-1(entsel "\nChoisir le Contour de la dalle : "))
-
- ;(constantes)
- ;(spécification)
- ;(calcul)
- (cadre)
- (command"_Pline" pt1 pt3 "")
- (setq lin2(entlast))
- (command"_chprop" lin2 "" "la" "-LU CADRE" "")
- (Command"_array" blockt lin2 "" "r" "2" "2" "2135" "2440")
-
-
- (princ)
-
- );defun c:
干杯和啤酒!! |